SimpleGroovyProgramElementDoc (Groovy 3.0.9)

Package org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyProgramElementDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
  - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

- All Implemented Interfaces:
    `Comparable`, `GroovyDoc`, `GroovyProgramElementDoc`
  Direct Known Subclasses:
    `SimpleGroovyAbstractableElementDoc`

      public class SimpleGroovyProgramElementDoc
      extends SimpleGroovyDoc
      implements GroovyProgramElementDoc

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleGroovyProgramElementDoc​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAnnotationRef​(GroovyAnnotationRef ref)` |
    `GroovyAnnotationRef[]` | `annotations()` |
    `GroovyClassDoc` | `containingClass()` |
    `GroovyPackageDoc` | `containingPackage()` |
    `boolean` | `isFinal()` |
    `boolean` | `isPackagePrivate()` |
    `boolean` | `isPrivate()` |
    `boolean` | `isProtected()` |
    `boolean` | `isPublic()` |
    `boolean` | `isStatic()` |
    `String` | `modifiers()` |
    `int` | `modifierSpecifier()` |
    `String` | `qualifiedName()` |
    `void` | `setContainingPackage​(GroovyPackageDoc packageDoc)` |
    `void` | `setFinal​(boolean b)` |
    `void` | `setPackagePrivate​(boolean b)` |
    `void` | `setPrivate​(boolean b)` |
    `void` | `setProtected​(boolean b)` |
    `void` | `setPublic​(boolean b)` |
    `void` | `setStatic​(boolean b)` |

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- - ### Constructor Detail

    - #### SimpleGroovyProgramElementDoc

          public SimpleGroovyProgramElementDoc​(String name)

  - ### Method Detail

    - #### containingPackage

          public GroovyPackageDoc containingPackage()

      Specified by:
        `containingPackage` in interface `GroovyProgramElementDoc`

    - #### setContainingPackage

          public void setContainingPackage​(GroovyPackageDoc packageDoc)

    - #### setStatic

          public void setStatic​(boolean b)

    - #### isStatic

          public boolean isStatic()

      Specified by:
        `isStatic` in interface `GroovyProgramElementDoc`

    - #### setFinal

          public void setFinal​(boolean b)

    - #### isFinal

          public boolean isFinal()

      Specified by:
        `isFinal` in interface `GroovyProgramElementDoc`

    - #### setPublic

          public void setPublic​(boolean b)

    - #### isPublic

          public boolean isPublic()

      Specified by:
        `isPublic` in interface `GroovyProgramElementDoc`

    - #### setProtected

          public void setProtected​(boolean b)

    - #### isProtected

          public boolean isProtected()

      Specified by:
        `isProtected` in interface `GroovyProgramElementDoc`

    - #### setPackagePrivate

          public void setPackagePrivate​(boolean b)

    - #### isPackagePrivate

          public boolean isPackagePrivate()

      Specified by:
        `isPackagePrivate` in interface `GroovyProgramElementDoc`

    - #### setPrivate

          public void setPrivate​(boolean b)

    - #### isPrivate

          public boolean isPrivate()

      Specified by:
        `isPrivate` in interface `GroovyProgramElementDoc`

    - #### annotations

          public GroovyAnnotationRef[] annotations()

      Specified by:
        `annotations` in interface `GroovyProgramElementDoc`

    - #### addAnnotationRef

          public void addAnnotationRef​(GroovyAnnotationRef ref)

    - #### containingClass

          public GroovyClassDoc containingClass()

      Specified by:
        `containingClass` in interface `GroovyProgramElementDoc`

    - #### modifiers

          public String modifiers()

      Specified by:
        `modifiers` in interface `GroovyProgramElementDoc`

    - #### modifierSpecifier

          public int modifierSpecifier()

      Specified by:
        `modifierSpecifier` in interface `GroovyProgramElementDoc`

    - #### qualifiedName

          public String qualifiedName()

      Specified by:
        `qualifiedName` in interface `GroovyProgramElementDoc`